<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>
<table id="tabella">
  <thead>
  <th>id</th>
  <th>nome</th>
  <th>cognome</th>
  <th>codiceFiscale</th>
  <th>indirizzo</th>
  <th>città</th>
  </thead>
</table>
<script>
  const data = [
    {
      id: 1,
      nome: "Mosab",
      cognome: "Naouiri",
      codiceFiscale: "naa02maljs32d",
      indirizzo: "san remigio 49",
      città: "Busto garolfo"
    },
    {
      id: 2,
      nome: "Mosab",
      cognome: "Naouiri",
      codiceFiscale: "naa02maljs32d",
      indirizzo: "san remigio 49",
      città: "Busto garolfo"
    },
    {
      id: 3,
      nome: "Ilias",
      cognome: "Naouiri",
      codiceFiscale: "iaa02slajs32d",
      indirizzo: "domingo 58",
      città: "milano"
    }
  ]

  const table=document.getElementById("tabella")
  data.forEach(element=>{
    const row=document.createElement("tr")//creazione riga

    Object.keys(element).forEach(key=>{
      const riga=document.createElement("td")
      const text=document.createTextNode(element[key])
      riga.appendChild(text)
      row.appendChild(riga)
    });
    table.appendChild(row)
  })
</script>

</body>
</html>
